document.addEventListener("DOMContentLoaded", function() {
  chrome.runtime.sendMessage({ type: "PopupOpened" });
  chrome.runtime.sendMessage({
    type: "TrackEvent",
    eventName: "POWERUP_POPUP_OPENED"
  });

  const createLessonButton = document.getElementById(
    "js-create-a-lesson-button"
  );

  if (createLessonButton) {
    createLessonButton.addEventListener("click", function() {
      chrome.runtime.sendMessage({
        type: "TrackEvent",
        eventName: "POWERUP_CREATE_A_LESSON_CLICKED"
      });
    });
  }
});

let hasPlayedGettingStartedVideo = false;
function onGettingStartedVideoPlayerStateChange(event) {
  if (event.data == YT.PlayerState.PLAYING && !hasPlayedGettingStartedVideo) {
    hasPlayedGettingStartedVideo = true;
    chrome.runtime.sendMessage({
      type: "TrackEvent",
      eventName: "POWERUP_GETTING_STARTED_VIDEO_PLAYED"
    });
  }
}

window.onYouTubeIframeAPIReady = function() {
  new YT.Player("js-getting-started-video", {
    events: {
      onStateChange: onGettingStartedVideoPlayerStateChange
    }
  });
};
